@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';

@import '../support/_workflowsearch-variables.scss';

.yw-workflowsearch {
	&-filters-search {
		margin-left: $workflowsearch__button--margin-left;
		display: inline-block;
	    float: right;
	    position: relative;
  		
  		.yw-workflowsearch-filters &.z-button{
  			width: $workflowsearch__button--size;
	        height: $workflowsearch__button--size;
	        min-height: $workflowsearch__button--size;
	        box-sizing: border-box;
	        padding: 0;  
  		}

        &:after {
			width: $workflowsearch__search-button-icon--size;
			height: $workflowsearch__search-button-icon--size;
			background: $workflowsearch__search-button-icon--bg;
			margin: $workflowsearch__search-button-icon--margin;
			position: absolute;
			content: "";
			top: 50%;
			left: 50%;
        }

        &, &[disabled] {
        	&, &:hover, &:active, &:focus {
        		border: $workflowsearch__toolbar-filters--border;
        		border-left-color: transparent;
	            background: $workflowsearch__button--bg-color;
	            box-shadow: none;
        	}
        }
        &:hover, &:active, &:focus {
        	border-color: $workflowsearch__button-hover--border-color;
            border-left-color: transparent;
        	
        	&:after {
        		background-position: $workflowsearch__search-button-hover-icon--bg-position;
        	}
        }

        &[disabled] {
        	&:after {
        		background-position: $workflowsearch__search-button-disabled-icon--bg-position;
        	}
        }
	}

	&-filters-input {
		margin: $workflowsearch__input-container--margin;		
	}

	&-filters-range {
		border: $workflowsearch__toolbar-filters--border;
		width: $workflowsearch__range-container--width;
		min-height: $workflowsearch__button--height;
		font-size: 0;
		text-align: left;
		display: inline-block;
		
		.ye-range-editor-java-util-date {
			display: inline-block;

			a {
				border: none;
			}
			input {
				border-color: transparent;
			}
			.z-datebox-button.z-datebox-disabled {
				right: 0;
			}
		}

		.z-datebox {
			min-height: $workflowsearch__filter-container-box--height;

			&-input {
				padding: $workflowsearch__input--padding;
				line-height: $workflowsearch__input--line-height;
				height: $workflowsearch__filter-container-box--height;
				box-shadow: none;
				background: transparent;
				z-index: 1;
				
				&:focus,
				&:active {
					background: $workflowsearch__input-focus--bg-color;
					color: $workflowsearch__input-focus--color;

					 + .z-datebox-button.z-datebox-disabled {
					 	border-color: $workflowsearch__input-focus--color;
						display: block;
						cursor: default;
						z-index: 1;
					}
				}
				&::-ms-clear {
				    display: none;
				}
			}
			&-button.z-datebox-disabled {
				background-color: transparent;
				position: absolute;
				width: 200%;
				height: 0;
				z-index: 0;
				top: 0;
				left: 0;
				border: $workflowsearch__search-button-disabled--border;
			    border-bottom-width: 0;
			    overflow: visible;
			    display: none;

				> i {
					display: none !important;
				}
				&:hover {
					cursor: default;
				}
				&:before,
				&:after {
					border: $workflowsearch__search-button-disabled--border;
					content: "";
					position: absolute;
					border-color: inherit;
					border-width: 0;
				}
				&:before {
					height: $workflowsearch__search-button--size;
					border-left-width: $workflowsearch__input--border-width;
					left: $workflowsearch__search-button-disabled-before--side;
					width: 0;
				}
				&:after {
					border-top-width: $workflowsearch__input--border-width;
					top: $workflowsearch__search-button-disabled-after--top;
					width: 100%;
					height: 0;
					left: 0;
				}

			}	
		}

		.ye-range-endpoint {
			display: inline-block;
			width: 50%;
			overflow: visible;

			span, div {
				display: block;
			}

			&-start {
				z-index: 1;
				position: relative;
				
				.ye-range-editor-java-util-date {
					display: inline-block;
				}

				.z-datebox {			
					&-input {
				 		position: relative;
				 		border-right-width: 0;

				 		&:focus,
				 		&:active {
				 			border-left: $workflowsearch__search-button-disabled-focus--border;
				 		}

				 		+ .z-datebox-button.z-datebox-disabled {
				 			&:before {
				 				left: auto;
								right: $workflowsearch__search-button-disabled-before--side;
							}
				 		}
				 	}
				}

				&:after {
					content: $workflowsearch__range-start-end-icon--content;
					line-height: $workflowsearch__filter-container-box--height;
					font-family: $workflowsearch__range-start-end-icon--font;
					font-size: $workflowsearch__range-start-end-icon--font-size;
					width: $workflowsearch__range-start-end-icon--width;
					right: $workflowsearch__range-start-end-icon--right;
					font-size: $workflowsearch__range-start-end-icon--font-size;
					text-align: center;
					position: absolute;
					color: inherit;
					display: inline-block;
					top: 0;
					z-index: 2;
				}
			}
			&-end {
				z-index: 0;
				padding-top: 0;

				.z-datebox {
					margin-left: -100%;
					
					&-input {
						margin-left: 100%;
						z-index: 1;

						&:focus,
				 		&:active {
				 			border-right: $workflowsearch__search-button-disabled-focus--border;
				 		}
					}
				}
			}
		}
		.ye-range-label {
			padding-left: $workflowsearch__input--padding-left;
			font-size: $workflowsearch__input-label--font-size;
			line-height: $workflowsearch__input-label--line-height;
			margin-top: $workflowsearch__input-label--margin-top;
			color: $workflowsearch__input-label--color;
			max-width: 100%;
			white-space: nowrap;
			display: block;
			overflow: hidden;
			text-overflow: ellipsis;
			position: absolute;
		}
	}

	&-filters {
		margin: $workflowsearch__button-wrapper--margin;
		height: $workflowsearch__filter-container-box--height;
		min-width: $workflowsearch__filter-container--min-width;
		float: right;
	}
}
